package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewEggEnergyCommunityDividendsDb(engine *xorm.Engine) dao.EggEnergyCommunityDividendsDao {
	return &EggEnergyCommunityDividendsDb{Db: engine}
}

type EggEnergyCommunityDividendsDb struct {
	Db *xorm.Engine
}

func (e EggEnergyCommunityDividendsDb) EggEnergyCommunityDividendsInsert(EggEnergyCommunityDividends *model.EggEnergyCommunityDividends) (int, error) {
	_, err := e.Db.InsertOne(EggEnergyCommunityDividends)
	if err != nil {
		return 0, err
	}
	return EggEnergyCommunityDividends.Id, nil
}
