package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	"xorm.io/xorm"
)

func NewEggEnergyCommunityDividendsWithUserDb(engine *xorm.Engine) dao.EggEnergyCommunityDividendsWithUserDao {
	return &EggEnergyCommunityDividendsWithUserDb{Db: engine}
}

type EggEnergyCommunityDividendsWithUserDb struct {
	Db *xorm.Engine
}

func (e EggEnergyCommunityDividendsWithUserDb) EggEnergyCommunityDividendsWithUserInsert(EggEnergyCommunityDividendsWithUser *model.EggEnergyCommunityDividendsWithUser) (int, error) {
	_, err := e.Db.InsertOne(EggEnergyCommunityDividendsWithUser)
	if err != nil {
		return 0, err
	}
	return EggEnergyCommunityDividendsWithUser.Id, nil
}
