﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggEnergyCoreDataDb(engine *xorm.Engine) dao.EggEnergyCoreDataDao {
	return &EggEnergyCoreDataDb{Db: engine}
}

type EggEnergyCoreDataDb struct {
	Db *xorm.Engine
}

func (e EggEnergyCoreDataDb) EggEnergyCoreDataGet() (*model.EggEnergyCoreData, error) {
	var m model.EggEnergyCoreData
	if has, err := e.Db.Where("id >= 1").Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
