package model

import (
	"time"
)

type EggEnergyUserWatchRecords struct {
	Id                int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	Uid               int64     `json:"uid" xorm:"not null default 0 comment('用户id') index BIGINT(20)"`
	NextWatchAdDate   time.Time `json:"next_watch_ad_date" xorm:"not null default 'CURRENT_TIMESTAMP' comment('下一轮观看视屏时间') DATETIME"`
	ResidueWatchAdNum int       `json:"residue_watch_ad_num" xorm:"not null default 0 comment('剩余观看视屏数') INT(11)"`
	CreateAt          time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt          time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
